2018-05-25 21:30 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001720FSSCPmultiplayerpublic2008-11-10 19:58
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001720: Sometimes client reports host ship as 0 hull when the host is still alive with 1 hull left
DescriptionThat pretty much sums it up.
Additional InformationTBP 3.6.9 build but I'm pretty sure this one has been around since retail.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010077

FUBAR-BDHR (developer)

Attached 3 new screenshots. This time hosting on a standalone. The ships have even fully recovered their shields even though reporting 0 hull.

~0010078

taylor (administrator)

I think that this is because it can technically have < 1% hull, but the math in there needs it to be at least 1% when going over the wire. It just gets round down to 0 from loss of precision basically. Fixing it doesn't look difficult, I just want to make sure that nothing is going to get broken in the process. :)

~0010083

FUBAR-BDHR (developer)

It hit me sometime last night while not sleeping that there are possibly 2 different bugs here. The original report was for clients seeing the host ship as 0 when it wasn't. Only seen in TvT and Dogfight. Yesterday was the first time I've ever seen this happen with an AI ship in a Coop mission. They still could be the same problem. It could be the ones from yesterday only happen on a standalone though.

~0010084

taylor (administrator)

There are actually two different places that the information gets sent over the network, so it is easily possible that some situations will do it one way and other situations will use another. It is done in two very different ways too, which makes it a bit annoying.

I should have at least one fixed but I haven't figured out exactly how best to deal with the other one just yet.

~0010103

FUBAR-BDHR (developer)

Uploaded another screenshot. First time I've ever seen this with a cap ship.

~0010169

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-07-03 22:32 FUBAR-BDHR New Issue
2008-07-03 22:32 FUBAR-BDHR File Added: screen0256.jpg
2008-10-21 00:01 FUBAR-BDHR File Added: screen0017.jpg
2008-10-21 00:02 FUBAR-BDHR File Added: screen0018.jpg
2008-10-21 00:02 FUBAR-BDHR File Added: screen0019.jpg
2008-10-21 00:03 FUBAR-BDHR Note Added: 0010077
2008-10-21 01:56 taylor Note Added: 0010078
2008-10-21 16:09 FUBAR-BDHR Note Added: 0010083
2008-10-21 16:22 taylor Note Added: 0010084
2008-10-21 16:23 taylor Status new => assigned
2008-10-21 16:23 taylor Assigned To => taylor
2008-10-23 01:29 FUBAR-BDHR File Added: screen0133.jpg
2008-10-23 01:30 FUBAR-BDHR Note Added: 0010103
2008-11-10 19:58 taylor Status assigned => resolved
2008-11-10 19:58 taylor Fixed in Version => 3.6.10
2008-11-10 19:58 taylor Resolution open => fixed
2008-11-10 19:58 taylor Note Added: 0010169
+Issue History